View Issue Details

IDProjectCategoryView StatusLast Update
0002882TechDraw[FreeCAD] Featurepublic2018-06-12 12:25
ReporterKunda1Assigned To 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version[FreeCAD] 0.17 
Target Version[FreeCAD] 0.18Fixed in Version[FreeCAD] 0.18 
Summary0002882: DXF support in TechDraw
Description>The DXF-related ones could be gathered under one big "DXF support in techdraw" issue. DXF export doesn't exist in TechDraw yet. That would be a cool feature to work on, if anybody interested
As per @yorik in https://forum.freecadweb.org/viewtopic.php?f=10&t=20342&p=157016#p157016

This will be a parent ticket that tracks DXF support for TechDraw (initially tickets that were migrated from soon-to-be deprecated Drawing WB)
TagsDXF

Activities

wandererfan

2017-06-29 00:23

developer   ~0009592

This can probably be closed.
string = TechDraw.viewPartAsDxf(DrawViewPart) was added approx 2017-06-17. It is pretty basic, but LibreCad accepts the output.

TechDraw API

Kunda1

2017-06-29 00:49

administrator   ~0009594

Last edited: 2017-06-29 00:51

View 3 revisions

Great! Resolving. (Not closing because this ticket is parent to 2 others. Once we ascertain their fate then we can close, I think.)

mantisbt wrote

APPLICATION ERROR # 1104
This issue cannot be resolved until all dependant issues have been resolved.
Please use the "Back" button in your web browser to return to the previous page. There you can correct whatever problems were identified in this error or select another action. You can also click an option from the menu bar to go directly to a new section.


wandererfan

2017-11-25 01:28

developer   ~0010465

relationship to Drawing issue 2620 removed.

wandererfan

2017-11-25 01:33

developer   ~0010467

No further plans for DXF features in TechDraw.

normandc

2018-03-13 00:17

manager   ~0011035

I'm sorry but exporting a single view to DXF through a python command is not at all what I would expect as an end user.

Unfortunately, there is no adequate alternative to DXF to share 2D drawings (not single views, complete drawing pages). SVG is not compatible with most CAD programs (AFAIK a single program, QCAD, can open SVG files).

Would you be willing to keep this ticket open so that another developer may decide to take it up (Or maybe create a new specific ticket?), or are you against any such code being added to the TechDraw module?

wandererfan

2018-03-13 12:13

developer   ~0011036

reopened. No objections, just not on my current to do list.

wandererfan

2018-05-31 11:58

developer   ~0011329

Save Page as Dxf added to Gui. Python function is "TechDraw.writeDXFPage(page,filename)".

Result works with LibreCAD, QCad, DraftSight and FreeCAD Import. Some issues(?) with Autodesk Viewer 2019.

normandc

2018-06-11 19:47

manager   ~0011407

Shouldn't this report be closed now then? Issues may still persist, but the functionality is now available. Thanks.

Issue History

Date Modified Username Field Change
2017-01-30 13:13 Kunda1 New Issue
2017-02-02 11:48 Kunda1 Tag Attached: DXF
2017-02-21 16:13 Kunda1 Relationship added parent of 0002620
2017-06-10 14:49 wandererfan Relationship added related to 0003077
2017-06-29 00:23 wandererfan Note Added: 0009592
2017-06-29 00:48 Kunda1 Assigned To => wandererfan
2017-06-29 00:48 Kunda1 Status new => assigned
2017-06-29 00:49 Kunda1 Note Added: 0009594
2017-06-29 00:49 Kunda1 Note Edited: 0009594 View Revisions
2017-06-29 00:51 Kunda1 Note Edited: 0009594 View Revisions
2017-06-29 00:53 Kunda1 Fixed in Version => 0.17
2017-06-29 00:53 Kunda1 Target Version => 0.17
2017-11-25 01:27 wandererfan Relationship deleted parent of 0002620
2017-11-25 01:28 wandererfan Note Added: 0010465
2017-11-25 01:31 wandererfan Relationship deleted related to 0003077
2017-11-25 01:33 wandererfan Status assigned => resolved
2017-11-25 01:33 wandererfan Resolution open => fixed
2017-11-25 01:33 wandererfan Note Added: 0010467
2018-03-13 00:17 normandc Note Added: 0011035
2018-03-13 12:13 wandererfan Assigned To wandererfan =>
2018-03-13 12:13 wandererfan Status resolved => feedback
2018-03-13 12:13 wandererfan Resolution fixed => reopened
2018-03-13 12:13 wandererfan Note Added: 0011036
2018-05-31 11:58 wandererfan Note Added: 0011329
2018-06-11 19:47 normandc Note Added: 0011407
2018-06-12 12:25 wandererfan Status feedback => closed
2018-06-12 12:25 wandererfan Resolution reopened => fixed
2018-06-12 12:25 wandererfan Fixed in Version 0.17 => 0.18
2018-06-12 12:25 wandererfan Target Version 0.17 => 0.18